ランタイム: Mix::Graphics::IQuery Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::IQuery Class Referenceabstract

クエリインターフェース More...

`#include <IQuery.h>`

Inheritance diagram for Mix::Graphics::IQuery:
[legend]
Collaboration diagram for Mix::Graphics::IQuery:
[legend]

## Public Member Functions

virtual void | Begin (void)=0
| 開始を通知します More...
virtual void | End (void)=0
| 終了を通知します More...
virtual Boolean | GetData (UInt32 &data, Boolean bFlush=True) const =0
| データを取得します More...
virtual Mix::Graphics::QUERY_FORMAT | GetFormat (void) const =0
| フォーマットを取得します More...
Public Member Functions inherited from Mix::Graphics::IDeviceObject
virtual Mix::Graphics::IDeviceObject::TYPE | GetType (void) const =0
| タイプを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IQuery (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Graphics::IDeviceObject
virtual | ~IDeviceObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Graphics::IDeviceObject
enum | TYPE { VERTEX_LAYOUT = 0, COMPUTE_SHADER = 1, HULL_SHADER = 2, DOMAIN_SHADER = 3, GEOMETRY_SHADER = 4, VERTEX_SHADER = 5, PIXEL_SHADER = 6, SHADER_CONSTANT = 7, VERTEX_BUFFER = 8, INDEX_BUFFER = 9, TEXTURE = 10, QUERY = 11 }
| タイプ列挙定数 More...

## Detailed Description

クエリインターフェース

## Constructor & Destructor Documentation

virtual Mix::Graphics::IQuery::~IQuery | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Graphics::IQuery::Begin | ( | void |  | ) |

pure virtual

開始を通知します

virtual void Mix::Graphics::IQuery::End | ( | void |  | ) |

pure virtual

終了を通知します

virtual Boolean Mix::Graphics::IQuery::GetData | ( | UInt32 & | data,
|  | Boolean | bFlush = `True`
| ) |  | const

pure virtual

データを取得します

Parameters

  [out] | data | 取得したデータの格納先
  [in] | bFlush | データ取得の問い合わせをフラッシュする場合は True

Returns
  成功した場合は True を返します

virtual Mix::Graphics::QUERY_FORMAT Mix::Graphics::IQuery::GetFormat | ( | void |  | ) | const

pure virtual

フォーマットを取得します

Returns
  フォーマットを表す Mix::Graphics::QUERY_FORMAT 列挙定数を返します

The documentation for this class was generated from the following file:

- Mix/Graphics/IQuery.h